# Re: New CVS snapshot 20000213

From: Henning Meier-Geinitz (henningmg@gmx.de)
Date: Thu Feb 17 2000 - 11:23:31 PST

- Next message: Oliver Rauch: "Re: UMAX S6E color scan"
  - Previous message: David Lindgren: "Re: UMAX S6E color scan"
  - In reply to: Petter Reinholdtsen: "Re: New CVS snapshot 20000213"
  - Next in thread: abel deuring: "Re: New CVS snapshot 20000213"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Hi,

  > Yes, please. :-)

  Ok, here it goes:
  [...]
  /usr/bin/cc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include
  -I/usr/local/include -I/usr/local/lib/glib/include -I/usr/local/include
  -D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
  -DPATH_SANE_DATA_DIR=/usr/local/share
  -DV_MAJOR=1 -DV_MINOR=0 -g -DSCSIBUFFERSIZE=131072 progress.c
  cfe: Error: /usr/local/include/glib.h, line 1544: Syntax Error
  gint nth_bit);
  -----------------------^
  cfe: Error: /usr/local/include/glib.h, line 1546: Syntax Error
  static inline gint
  ---------------^
  cfe: Error: /usr/local/include/glib.h, line 1562: Syntax Error
  gint nth_bit);
  -----------------------^
  cfe: Error: /usr/local/include/glib.h, line 1564: Syntax Error
  static inline gint
  ---------------^
  cfe: Error: /usr/local/include/glib.h, line 1581: Syntax Error
  static inline guint g_bit_storage (guint number);
  -------------------- ----------------------------^
  cfe: Error: /usr/local/include/glib.h, line 1583: Syntax Error
  static inline guint
  ---------------^
  make[1]: *** [progress.o] Error 1
  make[1]: Leaving directory /u2/src/sane-devel-20000213/frontend'
  make: *** [all-recursive] Error 1

  glib version is 1.2.3, I think it was compiled with some sort of gcc.
  /usr/local/include/glib.h looks like this (line numers included by me)

  [...]
  1541 /* Bit tests
  1542 */
  1543 G_INLINE_FUNC gint g_bit_nth_lsf (guint32 mask,
  1544 gint nth_bit);
  [...]

  Any idea? BTW I don't know how to check the version of the C compiler (it's
  the one SGI provided with Irix 5.3). The obvious options for cc didn't do it.

  Now I tried compiling without xscanimage (--without-x). Didn't help, about
  the same error now compiling saned. How to disable glib? I couldn't find a way
  so I renamed glib-config and gtk-config. Now sane compiled cleanly. The
  installation results, however, in the same mess (see last message). After
  setting a link for libsane.so a "scanimage -T -d pnm --filename test.pnm"
  passes all tests.

  hth, Henning

      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Oliver Rauch: "Re: UMAX S6E color scan"
  - Previous message: David Lindgren: "Re: UMAX S6E color scan"
  - In reply to: Petter Reinholdtsen: "Re: New CVS snapshot 20000213"
  - Next in thread: abel deuring: "Re: New CVS snapshot 20000213"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Thu Feb 17 2000 - 11:27:59 PST